com.io7m.jpra.runtime.java

## Class JPRATypeModel

- java.lang.Object
- - com.io7m.jpra.runtime.java.JPRATypeModel

-     @Generated(value={"Immutables.generator","JPRATypeModelType"})
      public final class JPRATypeModel
      extends Object

  `JPRATypeModel` contains immutable implementation classes generated from abstract value types defined as nested inside `JPRATypeModelType`.
  See Also:
    `JPRATypeModel.JPRAIntegerUnsignedNormalized`, `JPRATypeModel.JPRABooleanSet`, `JPRATypeModel.JPRAIntegerUnsigned`, `JPRATypeModel.JPRAIntegerSigned`, `JPRATypeModel.JPRAIntegerSignedNormalized`, `JPRATypeModel.JPRAVector`, `JPRATypeModel.JPRAFloat`, `JPRATypeModel.JPRAString`, `JPRATypeModel.JPRAMatrix`, `JPRATypeModel.JPRAUserDefined`, `JPRATypeModel.JPRAArray`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JPRATypeModel.JPRAArray` The type of `jpra` `array` types.
    `static class` | `JPRATypeModel.JPRABooleanSet` The type of `jpra` `string` types.
    `static class` | `JPRATypeModel.JPRAFloat` The type of `jpra` `float` types.
    `static class` | `JPRATypeModel.JPRAIntegerSigned` The type of `jpra` `signed integer` types.
    `static class` | `JPRATypeModel.JPRAIntegerSignedNormalized` The type of `jpra` `signed normalized integer` types.
    `static class` | `JPRATypeModel.JPRAIntegerUnsigned` The type of `jpra` `unsigned integer` types.
    `static class` | `JPRATypeModel.JPRAIntegerUnsignedNormalized` The type of `jpra` `unsigned normalized integer` types.
    `static class` | `JPRATypeModel.JPRAMatrix` The type of `jpra` `matrix` types.
    `static class` | `JPRATypeModel.JPRAString` The type of `jpra` `string` types.
    `static class` | `JPRATypeModel.JPRAUserDefined` The type of `jpra` user-defined types.
    `static class` | `JPRATypeModel.JPRAVector` The type of `jpra` `vector` types.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2017 <code@io7m.com> http://io7m.com